Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
asset_evaluations
/
{id}
/
restore
Restore asset evaluation
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/asset_evaluations/{id}/restore \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "source": "gpt-3.5-turbo",
  "brand": "<string>",
  "category": "<string>",
  "persona": "<string>",
  "status": "pending",
  "attributes": [
    "<string>"
  ],
  "description": "<string>",
  "is_archived": true,
  "communication_type": "<string>",
  "tags": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

asset_evaluation_id
string<uuid>
required

A UUID string identifying the asset evaluation.

id
string<uuid>
required

A UUID string identifying this asset evaluation.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

created_by
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
Maximum string length: 255
source
enum<string>
required
  • gpt-3.5-turbo - gpt 3.5 turbo
  • gpt-4-turbo - gpt 4 turbo
  • gpt-4o - gpt 4o
  • gpt-4o-mini-search - gpt 4o mini search
  • gpt-5 - gpt 5
  • gpt-5.2 - gpt 5.2
  • gpt-5.4-mini - gpt 5.4 mini
  • gemini-1.5-pro - gemini 1.5 pro
  • gemini-2.0-flash - gemini 2.0 flash
  • gemini-2.5-flash-grounded - gemini 2.5 flash grounded
  • gemini-2.5-flash - gemini 2.5 flash
  • gemini-2.5-flash-lite - gemini 2.5 flash lite
  • gemini-3-flash-preview - gemini 3 flash preview
  • meta-llama-3.1-70B-instruct-turbo - meta llama 3.1 70B instruct turbo
  • meta-llama-3.2-70B-instruct-turbo - meta llama 3.2 70B instruct turbo
  • meta-llama-3.3-70B-instruct-turbo - meta llama 3.3 70B instruct turbo
  • meta-llama-4-maverick - meta llama 4 maverick
  • mistral-7B-instruct - mistral 7B instruct
  • claude-3-5-sonnet - claude 3 5 sonnet
  • claude-4-sonnet - claude 4 sonnet
  • claude-4-5-sonnet - claude 4 5 sonnet
  • claude-4-6-sonnet - claude 4 6 sonnet
  • deepseek-chat - deepseek chat
  • deepseek-reasoner - deepseek reasoner
  • perplexity-sonar - perplexity sonar
  • rufus - rufus
  • google-ai-mode - google ai mode
Available options:
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
claude-3-5-sonnet,
claude-4-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
deepseek-chat,
deepseek-reasoner,
perplexity-sonar,
rufus,
google-ai-mode
brand
string
required
Maximum string length: 255
category
string
required
Maximum string length: 255
persona
string
required
Maximum string length: 255
status
enum<string>
  • pending - pending
  • in_progress - in progress
  • completed - completed
  • partial - partial
  • failed - failed
Available options:
pending,
in_progress,
completed,
partial,
failed
attributes
string[]
Maximum string length: 255
description
string
is_archived
boolean
communication_type
string
Maximum string length: 255
tags
string[]
Maximum string length: 255

Response

The asset evaluation has been successfully restored.